/*
 * Harbor API
 * These APIs provide services for manipulating Harbor project.
 *
 * OpenAPI spec version: 2.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.19
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.HarborApi) {
      root.HarborApi = {};
    }
    root.HarborApi.PingEndpoint = factory(root.HarborApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The PingEndpoint model module.
   * @module model/PingEndpoint
   * @version 2.0
   */

  /**
   * Constructs a new <code>PingEndpoint</code>.
   * @alias module:model/PingEndpoint
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>PingEndpoint</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/PingEndpoint} obj Optional instance to populate.
   * @return {module:model/PingEndpoint} The populated <code>PingEndpoint</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('url'))
        obj.url = ApiClient.convertToType(data['url'], 'String');
      if (data.hasOwnProperty('verify_cert'))
        obj.verifyCert = ApiClient.convertToType(data['verify_cert'], 'Boolean');
    }
    return obj;
  }

  /**
   * The URL of OIDC endpoint to be tested.
   * @member {String} url
   */
  exports.prototype.url = undefined;

  /**
   * Whether the certificate should be verified
   * @member {Boolean} verifyCert
   */
  exports.prototype.verifyCert = undefined;


  return exports;

}));
